Subject: bug#69561: 30.0.50; Freeze from M-x gnus on macOS

From: Gerd Möllmann <[email-masked]>
Date: Fri, 08 Mar 2024 05:31:51 +0100

Gerd Möllmann <[email-masked]> writes:

> And I had another freeze a few minutes ago, while starting Emacs, and
> from Eglot starting and doing json_rpc. Backtrace as usual, and it
> happened with the patch I sent before and without.

Just wanted to add another observation: how reliably freezes happen
apparently also depends on how I build Emacs. In a slow Emacs (debug
build on x86), Emacs freezes less frequently than in a fast build
(debug build on M1, or build with -O2 on x86).

This let's me suspect a timing issue.